/*
 * DESCRIPTION:
 * Elementos comunes para las Carcasas
 * 
 */

var vars = [], hash;
var re = 0;

var q = document.URL.split('?')[1];
if (q != undefined) {
	 q = q.split('&');
	 for (var i = 0; i < q.length; i++) {
	  hash = q[i].split('=');
	  vars.push(hash[1]);
	  vars[hash[0]] = hash[1];
	 }
	 
	 re = vars['re'];
}

function introduce_retorno(){
	 if (re == 1) {
		  // Icono y pasamos parametro a 1
		  $('#retorno').remove();
		
		  $('#bottombar').prepend('<div id="retorno"><div id="retorno1" class="button_left sprite background retorno tool notdisabled"></div></div>');
		
		  if (!$('#bottombar').hasClass('positionbar')){//cambiamos la comprobacion por isMobile porque no pillaba los ipad
			  var _width = 68;
			  $('#left').width($('#left').width()-_width);
		  }
	 }
	
	 $(".retorno").bind(click, function() {
		  //Volvemos atrás
		  history.back();
	 });
}

function recursoActualizado(){
	$.jGrowl(mensajeUpdate, { 
		sticky	: 'false',
		life	: 4000,
		header	: '<div class="tipoMsg"><img src="'+CIbase_url+'images/systemmsg-success.png" style="width:20px;" /></div><span class="Msg">Confirmaci&oacute;n</span>',
		theme	: 'success'
	});
}

function manage_sonido_select(item){
	
	var sonido_id = "sonido_"+$(item).data("id");
	$('#player').css('display','block');
	$('#pausar').css('display','none');
	if($(item).hasClass("sonido_select_play")){
		ims.interfaz.playSound(sonido_id);
		$('.sonido_select').removeClass("sonido_select_pause");
		$('.sonido_select').addClass("sonido_select_play");
		$(item).removeClass("sonido_select_play");
		$(item).addClass("sonido_select_pause");
		//CUANDO TERMINA EL AUDIO DEBE HACER STOP
		setTimeout(function() {
			if ($("#"+sonido_id)[0].currentTime == $("#"+sonido_id)[0].duration){
				manage_sonido_pause_item(item);
			}
		}, $("#"+sonido_id)[0].duration*1100);
	}else{
		manage_sonido_pause_item(item);
	}
	
}

function manage_sonido_pause_item(item){
	
	var sonido_id = "sonido_"+$(item).data("id");
	ims.interfaz.pauseSound(sonido_id);
	$('.sonido_select').removeClass("sonido_select_pause");
	$('.sonido_select').addClass("sonido_select_play");
	$(item).removeClass("sonido_select_pause");
	$(item).addClass("sonido_select_play");
	
}

function manage_sonido_pause_general(){
	
	//PAUSE INDIVIDUAL POR ITEM DE ACTIVIDADES
	$('.sonido_select').removeClass("sonido_select_pause");
	$('.sonido_select').addClass("sonido_select_play");
	//PAUSE GENERAL ACTIVIDADES
	$('#pausar').css('display','none');
	$('#player').css('display','block');
	estado = 'parado';
	
}

function fixTextURLsrc( texto ){
	texto = texto.replace( /src="files\/\//g, 'src="'+url_files );
	return texto;
}

$(document).ready(function(){
	var _loading = $('.ui-loader');
	if(_loading.length > 0){
		_loading.remove();
	}
});